curl --request GET \
--url https://api.krea.ai/node-apps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.krea.ai/node-apps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.krea.ai/node-apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"author_id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"scope": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"version": 123,
"version_created_at": "<string>",
"username": "<string>",
"example_outputs": [
"<string>"
],
"input_openapi_schema": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"output_openapi_schema": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"node_app_version_id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get a node app by version ID
Get a single node app by version ID. Returns the node app details including input/output schemas.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Node app version ID
Response
Node app details
Unique identifier for the node app
ID of the node app author
ID of the workspace that owns the node app
Name of the node app
URL-friendly identifier for the node app
Description of the node app
Visibility scope: "public", "user", or "workspace"
Creation timestamp
Last update timestamp
Selected node app version number
Creation timestamp of this version
Username of the node app creator
Example output URLs
OpenAPI 3.1 JSON Schema for input parameters
Show child attributes
Show child attributes
OpenAPI 3.1 JSON Schema for output values
Show child attributes
Show child attributes
Node app version ID to pass to /node-apps/{id}/execute
Was this page helpful?